import type { FileSpec, UploadFile, UploadRawFile } from './upload';
declare function getFileSuffix(url: string): string;
declare const getRealUrl: (value: string) => string;
declare function responseToFileList(value: string, fileList: UploadFile[]): UploadFile;
declare const checkImgSize: (file: UploadRawFile, fileSpec: FileSpec) => Promise<unknown>;
declare const FILE_TYPE: {
    IMAGE: string[];
    WORD: string[];
    EXCEL: string[];
    PDF: string[];
    FILE: string[];
};
export { FILE_TYPE, getFileSuffix, getRealUrl, checkImgSize, responseToFileList };
